/[Apache-SVN]/spamassassin/branches/3.0/spamd/redhat-rc-script.sh
ViewVC logotype

Diff of /spamassassin/branches/3.0/spamd/redhat-rc-script.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- spamassassin/branches/3.0/spamd/redhat-rc-script.sh	2005/05/18 05:02:26	170707
+++ spamassassin/branches/3.0/spamd/redhat-rc-script.sh	2005/05/18 05:09:26	170708
@@ -28,6 +28,9 @@ fi
 [ -f /usr/bin/spamd -o -f /usr/local/bin/spamd ] || exit 0
 PATH=$PATH:/usr/bin:/usr/local/bin
 
+# By default it's all good
+RETVAL=0
+
 # See how we were called.
 case "$1" in
   start)
@@ -59,7 +62,8 @@ case "$1" in
 	;;
   *)
 	echo "Usage: $0 {start|stop|restart|status|condrestart}"
-	exit 1
+	RETVAL=1
+	;;
 esac
 
-exit 0
+exit $RETVAL

 

infrastructure at apache.org
ViewVC Help
Powered by ViewVC 1.1.26